Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ClassNameCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor
              org.codehaus.groovy.tools.shell.util.ClassNameCompletor

    class ClassNameCompletor
    extends SimpleCompletor

Provides completion for class names.

version:
  $Id: ClassNameCompletor.groovy 7581 2007-08-23 01:47:47Z user57 $

author:
  Jason Dillon

Constructor Summary
`ClassNameCompletor(GroovyClassLoader classLoader)`

Method Summary
`SortedSet` | `getCandidates()`

Methods inherited from class SimpleCompletor
add, complete, leftShift

Methods inherited from class jline.SimpleCompletor
clone, complete, setDelimiter, getDelimiter, setCandidates, getCandidates, setCandidateStrings, addCandidateString, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClassNameCompletor

    public ClassNameCompletor(GroovyClassLoader classLoader)

Method Detail

### getCandidates

    SortedSet getCandidates()

Copyright © 2003-2009 The Codehaus. All rights reserved.